<!DOCTYPE html>
<html lang='en'>
  <head>
    <meta charset='utf-8'>
      <link rel='stylesheet' href='/style.css'>
      <link rel='icon' type='image/png' sizes='32x32' href='images/favicon-32x32.png'>
      <title>Nils - Bounce</title>
  </head>
  <body>

    <div id='navbar'>
      <a href='/index.html'><img src="images/favicon-32x32.png" alt="Home"></a>
      <a href='/laser.html'>Laser</a>
      <a class='active' href='/bounce.html'>Bounce</a>
      <a href='/functional-bounce.html'>FBounce</a>
      <a href='/collision.html'>Collision</a>
      <a href='/magnetic-field.html'>Magnetic-Field</a>
      <a href='/markov.html'>Markov Chains</a>
      <a href='/mandelbrot.html'>Mandelbrot</a>
      <div class='socials'>
        <a href='https://gitlab.com/_sonsan' target='_blank'><img src='images/GitHub-Mark-Light-32x32.png'></a>
      </div>
    </div>

    <form action='/circle.js' method='post'>
      #circles: <input type='text' id='#circles'>
      <input type='submit' value='start'>
    </form>

    <canvas id='canv_animation' width='600' height='500' style='border:1px solid red'></canvas>

    <script>
      const canvas = document.getElementById('canv_animation');
      const ctx = canvas.getContext('2d');

      const x = canvas.width / 2;
      const y = canvas.height / 2;

      let circles = [];
      const COLORS = ['red', 'green', 'blue', 'yellow', 'orange']

      const circle_count = 25;

      class Circle{
        constructor(color, size){
          this.x = Math.random() * canvas.width;
          this.y = Math.random() * canvas.height;
          this.color = color;
          this.size = size;
          this.x_dir = Math.random();
          this.y_dir = Math.random();
        }

        move(){
          if (this.x >= canvas.width || this.x <= 0) {
            this.x_dir *= -1;
          }
          if (this.y >= canvas.height || this.y <= 0) {
            this.y_dir *= -1;
          }
          this.x += this.x_dir;
          this.y += this.y_dir;
          this.draw();
        }

        draw(){
          ctx.beginPath();
          ctx.arc(this.x, this.y, this.size, 0, 2*Math.PI);
          ctx.fillStyle = this.color;
          ctx.fill();
          ctx.stroke();
        }
      }

      for (var i = 0; i < circle_count; i++){
        let color = COLORS[Math.floor(Math.random() * COLORS.length)];
        circles.push(new Circle(color, 10));
      }

      function canvas_draw(){
        ctx.clearRect(0, 0, canvas.width, canvas.height);
        ctx.fillStyle = 'gray';
        ctx.fillRect(0, 0, canvas.width, canvas.height)
        circles.forEach(function(obj){
          obj.move();
        })
      }

      setInterval(canvas_draw, 10);
    </script>


  </body>
</html>
